VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtexe"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL rst_backplane
        SIGNAL cs_cfg
        SIGNAL wr_backplane32
        SIGNAL SDO_ENABLE
        SIGNAL SDO
        SIGNAL cfg_data(15:0)
        SIGNAL CFGCLK
        SIGNAL CFG_SEL(1:0)
        SIGNAL ADDR(15:0)
        SIGNAL DATA(31:0)
        SIGNAL ADDR(7:0)
        SIGNAL DATA(15:0)
        SIGNAL cs_tel
        SIGNAL tel_data(15:0)
        SIGNAL wr_backplane16
        SIGNAL adc_data_rdy
        SIGNAL FPGA_SDATA
        SIGNAL XLXN_273(15:0)
        SIGNAL cfg_done
        SIGNAL XLXN_287(15:0)
        SIGNAL reset_cfg
        SIGNAL XLXN_787(15:0)
        SIGNAL SEQ_SEL(1:0)
        SIGNAL SEQCLK
        SIGNAL CPLD_DATA(31:0)
        SIGNAL write_sd
        SIGNAL XLXN_818
        SIGNAL cfg_status(7:0)
        SIGNAL XLXN_855(47:0)
        SIGNAL XLXN_878
        SIGNAL XLXN_881(7:0)
        SIGNAL XLXN_894(7:0)
        SIGNAL clock
        SIGNAL XLXN_911
        SIGNAL DATA(2:0)
        SIGNAL XLXN_914(2:0)
        SIGNAL XLXN_921
        SIGNAL BRD_SEL
        SIGNAL LED
        SIGNAL SEL_N
        SIGNAL BRDCLK
        SIGNAL ACK_N
        SIGNAL SEQ_MODE(1:0)
        SIGNAL SEQ_DEV_ADDR(2:0)
        SIGNAL SEQ_DATA(31:0)
        SIGNAL PIX_DATA(47:0)
        SIGNAL REBOOT_N
        SIGNAL XLXN_902
        SIGNAL XLXN_937
        SIGNAL RST_ACTIVE
        SIGNAL RESET_N
        SIGNAL XLXN_961(9:0)
        SIGNAL SN_CRC_OK
        SIGNAL SN_DATA(47:0)
        SIGNAL TEMP_SCLK
        SIGNAL TEMP_DIN
        SIGNAL TEMP_DOUT
        SIGNAL SSN_DQ
        SIGNAL DopData(15:0)
        SIGNAL DOP_STROBE
        SIGNAL DOP_ACK
        SIGNAL XLXN_985(7:0)
        SIGNAL XLXN_987
        SIGNAL XLXN_988
        SIGNAL XLXN_989
        SIGNAL XLXN_990
        SIGNAL XLXN_991
        SIGNAL XLXN_992
        SIGNAL BUSY
        PORT Input SDO_ENABLE
        PORT Input SDO
        PORT Output CFGCLK
        PORT Output CFG_SEL(1:0)
        PORT Output FPGA_SDATA
        PORT Output SEQ_SEL(1:0)
        PORT Output SEQCLK
        PORT Output CPLD_DATA(31:0)
        PORT Output LED
        PORT Input SEL_N
        PORT Input BRDCLK
        PORT Output ACK_N
        PORT Input SEQ_MODE(1:0)
        PORT Input SEQ_DEV_ADDR(2:0)
        PORT Input SEQ_DATA(31:0)
        PORT Output PIX_DATA(47:0)
        PORT Output REBOOT_N
        PORT Input RESET_N
        PORT Output TEMP_SCLK
        PORT Output TEMP_DIN
        PORT Input TEMP_DOUT
        PORT BiDirectional SSN_DQ
        BEGIN BLOCKDEF NOAO_tblock
            TIMESTAMP 2006 1 20 23 33 43
            LINE N -96 -96 -1440 -96 
            LINE N -1440 -160 -1440 -96 
            LINE N -96 -160 -1440 -160 
            LINE N -96 -100 -96 -540 
            LINE N -96 -352 -1440 -352 
            LINE N -96 -224 -736 -224 
            LINE N -1440 -544 -96 -544 
            LINE N -1440 -160 -1440 -544 
            LINE N -1440 -224 -96 -224 
            LINE N -1040 -224 -1040 -92 
            LINE N -640 -224 -640 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF cfg_reg_file
            TIMESTAMP 2004 5 11 20 43 44
            RECTANGLE N 64 -740 688 -272 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -640 0 -640 
            LINE N 64 -336 0 -336 
            RECTANGLE N 0 -348 64 -324 
            LINE N 64 -592 0 -592 
            LINE N 64 -688 0 -688 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            LINE N 688 -416 752 -416 
            RECTANGLE N 688 -428 752 -404 
            LINE N 688 -336 752 -336 
            RECTANGLE N 688 -348 752 -324 
        END BLOCKDEF
        BEGIN BLOCKDEF cfg_control
            TIMESTAMP 2004 5 11 21 30 2
            RECTANGLE N 64 -432 560 176 
            LINE N 64 -400 0 -400 
            LINE N 64 -336 0 -336 
            LINE N 64 -144 0 -144 
            RECTANGLE N 0 -92 64 -68 
            LINE N 64 64 0 64 
            LINE N 560 -208 624 -208 
            LINE N 560 -144 624 -144 
            LINE N 0 -272 64 -272 
            LINE N 560 112 624 112 
            RECTANGLE N 560 100 624 124 
            LINE N 560 48 624 48 
            RECTANGLE N 560 36 624 60 
            LINE N 0 -208 64 -208 
            LINE N 56 -208 60 -208 
            LINE N 0 -80 64 -80 
            LINE N 64 128 0 128 
            RECTANGLE N 0 -28 64 -4 
            LINE N 0 -16 64 -16 
            RECTANGLE N 560 -380 624 -356 
            LINE N 560 -368 624 -368 
            RECTANGLE N 560 -316 624 -292 
            LINE N 560 -304 624 -304 
            LINE N 560 -80 624 -80 
        END BLOCKDEF
        BEGIN BLOCKDEF cfg_ser_in
            TIMESTAMP 2003 7 6 23 55 20
            RECTANGLE N 64 -192 496 64 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 496 -160 560 -160 
            LINE N 496 -64 560 -64 
            RECTANGLE N 496 -76 560 -52 
            LINE N 64 32 0 32 
        END BLOCKDEF
        BEGIN BLOCKDEF cfg_ser_out
            TIMESTAMP 2004 5 11 21 27 4
            LINE N 64 16 0 16 
            RECTANGLE N 0 4 64 28 
            LINE N 64 80 0 80 
            RECTANGLE N 0 68 64 92 
            LINE N 64 144 0 144 
            RECTANGLE N 0 132 64 156 
            LINE N 64 -128 0 -128 
            LINE N 64 -192 0 -192 
            LINE N 464 -192 528 -192 
            LINE N 64 224 0 224 
            RECTANGLE N 0 212 64 236 
            RECTANGLE N 64 -256 464 288 
            LINE N 64 -64 0 -64 
            LINE N 464 224 528 224 
        END BLOCKDEF
        BEGIN BLOCKDEF tel_data_reg_file
            TIMESTAMP 2004 5 11 20 44 24
            RECTANGLE N 64 -384 688 0 
            LINE N 64 -240 0 -240 
            LINE N 64 -176 0 -176 
            RECTANGLE N 0 -188 64 -164 
            LINE N 64 -48 0 -48 
            RECTANGLE N 0 -60 64 -36 
            LINE N 64 -288 0 -288 
            LINE N 64 -336 0 -336 
            LINE N 688 -48 752 -48 
            RECTANGLE N 688 -60 752 -36 
            LINE N 64 -112 0 -112 
            RECTANGLE N 0 -124 64 -100 
        END BLOCKDEF
        BEGIN BLOCKDEF onewire_iface
            TIMESTAMP 2006 1 21 1 23 30
            RECTANGLE N 64 -336 464 48 
            LINE N 464 -160 528 -160 
            LINE N 0 -112 64 -112 
            RECTANGLE N 0 -124 64 -100 
            LINE N 0 -176 64 -176 
            LINE N 0 -304 64 -304 
            LINE N 0 -240 64 -240 
            RECTANGLE N 0 -252 64 -228 
            LINE N 64 16 0 16 
            LINE N 64 -48 0 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF seq_ifc_709
            TIMESTAMP 2004 7 27 19 39 42
            LINE N 0 -640 64 -640 
            LINE N 64 -912 0 -912 
            LINE N 64 -832 0 -832 
            LINE N 64 -528 0 -528 
            RECTANGLE N 0 -540 64 -516 
            LINE N 64 -448 0 -448 
            RECTANGLE N 0 -460 64 -436 
            LINE N 64 -368 0 -368 
            RECTANGLE N 0 -380 64 -356 
            LINE N 592 -96 528 -96 
            RECTANGLE N 528 -108 592 -84 
            LINE N 528 -496 592 -496 
            LINE N 0 -752 64 -752 
            LINE N 528 -416 592 -416 
            LINE N 528 -336 592 -336 
            LINE N 528 -256 592 -256 
            LINE N 528 -176 592 -176 
            LINE N 0 -288 64 -288 
            RECTANGLE N 0 -300 64 -276 
            RECTANGLE N 64 -944 528 -48 
            LINE N 528 -912 592 -912 
            RECTANGLE N 528 -924 592 -900 
            LINE N 528 -848 592 -848 
            RECTANGLE N 528 -860 592 -836 
            LINE N 592 -560 528 -560 
            LINE N 528 -640 592 -640 
            LINE N 528 -752 592 -752 
        END BLOCKDEF
        BEGIN BLOCKDEF buft
            TIMESTAMP 2001 2 2 12 22 16
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 0 -96 64 -96 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF ledlatchv40
            TIMESTAMP 2006 12 4 2 32 4
            RECTANGLE N 64 -512 464 -192 
            LINE N 528 -480 464 -480 
            LINE N 528 -352 464 -352 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 528 -416 464 -416 
            RECTANGLE N 464 -428 528 -404 
            LINE N 0 -480 64 -480 
            LINE N 464 -288 528 -288 
            RECTANGLE N 464 -300 528 -276 
        END BLOCKDEF
        BEGIN BLOCKDEF reset_logic
            TIMESTAMP 2004 5 10 20 41 33
            RECTANGLE N 64 -256 464 0 
            LINE N 528 -160 464 -160 
            LINE N 528 -224 464 -224 
            LINE N 528 -96 464 -96 
            LINE N 0 -224 64 -224 
            LINE N 464 -32 528 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF TempSensor
            TIMESTAMP 2004 9 27 18 58 36
            LINE N 528 -160 464 -160 
            LINE N 528 -96 464 -96 
            LINE N 64 -32 0 -32 
            LINE N 0 -96 64 -96 
            LINE N 0 -160 64 -160 
            LINE N 464 -32 528 -32 
            RECTANGLE N 464 -44 528 -20 
            RECTANGLE N 64 -192 464 0 
        END BLOCKDEF
        BEGIN BLOCKDEF seq_control_v490
            TIMESTAMP 2006 12 4 1 37 5
            LINE N 64 176 0 176 
            LINE N 64 -208 0 -208 
            LINE N 64 -112 0 -112 
            LINE N 64 0 0 0 
            RECTANGLE N 0 -12 64 12 
            LINE N 656 -176 720 -176 
            LINE N 656 -112 720 -112 
            RECTANGLE N 656 -124 720 -100 
            LINE N 0 -160 64 -160 
            LINE N 64 64 0 64 
            RECTANGLE N 0 52 64 76 
            LINE N 720 -48 656 -48 
            RECTANGLE N 656 -60 720 -36 
            LINE N 64 -64 0 -64 
            LINE N 64 128 0 128 
            LINE N 720 64 656 64 
            RECTANGLE N 656 52 720 76 
            LINE N 64 -304 0 -304 
            RECTANGLE N 0 -268 64 -244 
            LINE N 64 -256 0 -256 
            LINE N 0 -352 64 -352 
            RECTANGLE N 64 -384 656 208 
        END BLOCKDEF
        BEGIN BLOCKDEF cb_personality_v492
            TIMESTAMP 2006 12 3 22 9 33
            LINE N 656 -544 592 -544 
            RECTANGLE N 592 -556 656 -532 
            LINE N 656 -480 592 -480 
            RECTANGLE N 592 -492 656 -468 
            LINE N 656 -416 592 -416 
            RECTANGLE N 592 -428 656 -404 
            LINE N 656 -352 592 -352 
            RECTANGLE N 592 -364 656 -340 
            LINE N 592 -720 656 -720 
            LINE N 592 -640 656 -640 
            LINE N 64 -800 0 -800 
            LINE N 64 -640 0 -640 
            LINE N 64 -736 0 -736 
            RECTANGLE N 0 -748 64 -724 
            LINE N 64 -480 0 -480 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -416 0 -416 
            RECTANGLE N 0 -428 64 -404 
            RECTANGLE N 0 324 64 348 
            LINE N 64 336 0 336 
            LINE N 64 96 0 96 
            LINE N 64 -64 0 -64 
            LINE N 656 -240 592 -240 
            LINE N 656 -176 592 -176 
            RECTANGLE N 592 -188 656 -164 
            LINE N 656 336 592 336 
            RECTANGLE N 592 324 656 348 
            LINE N 592 272 656 272 
            LINE N 0 -1040 64 -1040 
            RECTANGLE N 0 -1052 64 -1028 
            LINE N 592 -864 656 -864 
            LINE N 592 -784 656 -784 
            RECTANGLE N 64 -1328 592 368 
            LINE N 0 -1104 64 -1104 
            LINE N 0 -1168 64 -1168 
            LINE N 0 -1232 64 -1232 
            LINE N 0 -1296 64 -1296 
        END BLOCKDEF
        BEGIN BLOCKDEF ot_shiftlogicv492
            TIMESTAMP 2006 12 4 2 2 47
            RECTANGLE N 448 -44 512 -20 
            LINE N 448 -32 512 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -492 64 -468 
            LINE N 64 -480 0 -480 
            LINE N 512 -160 448 -160 
            LINE N 448 -96 512 -96 
            LINE N 64 -224 0 -224 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -416 0 -416 
            RECTANGLE N 64 -512 448 64 
            LINE N 0 32 64 32 
        END BLOCKDEF
        BEGIN BLOCK SeialInputControl cfg_ser_in
            PIN cfgclk CFGCLK
            PIN sdata_in SDO
            PIN sdata_enable SDO_ENABLE
            PIN data_rdy adc_data_rdy
            PIN data_out(15:0) XLXN_787(15:0)
            PIN reset reset_cfg
        END BLOCK
        BEGIN BLOCK ConfigRegisterFile cfg_reg_file
            PIN wr_backplane wr_backplane16
            PIN addr_backplane(7:0) ADDR(7:0)
            PIN cs cs_cfg
            PIN rst rst_backplane
            PIN clk clock
            PIN addr_local(7:0) XLXN_894(7:0)
            PIN data_in_backplane(15:0) DATA(15:0)
            PIN data_out_backplane(15:0) cfg_data(15:0)
            PIN data_out_local(15:0) XLXN_273(15:0)
        END BLOCK
        BEGIN BLOCK TelemetryDataRegister tel_data_reg_file
            PIN wr_local adc_data_rdy
            PIN addr_backplane(7:0) ADDR(7:0)
            PIN data_in(15:0) XLXN_787(15:0)
            PIN rst rst_backplane
            PIN clk clock
            PIN data_out_backplane(15:0) tel_data(15:0)
            PIN addr_local(7:0) XLXN_894(7:0)
        END BLOCK
        BEGIN BLOCK SerialOutputControl cfg_ser_out
            PIN write_sd write_sd
            PIN cfgclk CFGCLK
            PIN cfg_sel(1:0) CFG_SEL(1:0)
            PIN ser_data_out FPGA_SDATA
            PIN addr_bp_L(7:0) XLXN_894(7:0)
            PIN data_local_in(15:0) XLXN_273(15:0)
            PIN data_bp_L_in(15:0) XLXN_287(15:0)
            PIN reset reset_cfg
            PIN cfg_done cfg_done
        END BLOCK
        BLOCK XLXI_117 NOAO_tblock
        BEGIN BLOCK OneWireInterface onewire_iface
            PIN dq SSN_DQ
            PIN data(7:0)
            PIN data_valid
            PIN crc_ok SN_CRC_OK
            PIN sn_data(47:0) SN_DATA(47:0)
            PIN sys_clk clock
            PIN sys_reset rst_backplane
        END BLOCK
        BEGIN BLOCK ConfigControlModule cfg_control
            PIN sysclk clock
            PIN wr_backplane wr_backplane16
            PIN adc_data_ready adc_data_rdy
            PIN addr_backplane(7:0) ADDR(7:0)
            PIN cfgclk CFGCLK
            PIN write_sd write_sd
            PIN reset rst_backplane
            PIN cfg_sel(1:0) CFG_SEL(1:0)
            PIN cfg_status(7:0) cfg_status(7:0)
            PIN cs_cfg cs_cfg
            PIN cs_tel cs_tel
            PIN cfg_done cfg_done
            PIN data_backplane(15:0) DATA(15:0)
            PIN addr_backplane_L(7:0) XLXN_894(7:0)
            PIN data_backplane_L(15:0) XLXN_287(15:0)
            PIN reset_cfg reset_cfg
        END BLOCK
        BEGIN BLOCK LedLatch ledlatchv40
            PIN sysclk clock
            PIN led_cs XLXN_911
            PIN reset_active RST_ACTIVE
            PIN led_src_1 BRD_SEL
            PIN led_src_2 DOP_STROBE
            PIN led_src_3 DOP_ACK
            PIN data_in(2:0) DATA(2:0)
            PIN led_en LED
            PIN data_out(2:0) XLXN_914(2:0)
        END BLOCK
        BEGIN BLOCK SequencerInterface seq_ifc_709
            PIN seq_clk BRDCLK
            PIN brdsel_n SEL_N
            PIN seq_mode(1:0) SEQ_MODE(1:0)
            PIN dev_addr(2:0) SEQ_DEV_ADDR(2:0)
            PIN seq_data(31:0) SEQ_DATA(31:0)
            PIN data_in(47:0) XLXN_855(47:0)
            PIN board_sel BRD_SEL
            PIN brdack_n ACK_N
            PIN reboot_n XLXN_902
            PIN read
            PIN write XLXN_921
            PIN wrt16 wr_backplane16
            PIN wrt32 wr_backplane32
            PIN pix_data(47:0) PIX_DATA(47:0)
            PIN address(15:0) ADDR(15:0)
            PIN data_out(31:0) DATA(31:0)
            PIN busy BUSY
            PIN reset XLXN_937
            PIN sysclk clock
        END BLOCK
        BEGIN BLOCK XLXI_140 buft
            PIN I XLXN_902
            PIN T XLXN_902
            PIN O REBOOT_N
        END BLOCK
        BEGIN BLOCK ResetLogic reset_logic
            PIN sysclk clock
            PIN rst_cmd XLXN_937
            PIN sync_rcvd BRD_SEL
            PIN async_flag RST_ACTIVE
            PIN reset_out rst_backplane
        END BLOCK
        BEGIN BLOCK XLXI_503 buft
            PIN I RESET_N
            PIN T RESET_N
            PIN O REBOOT_N
        END BLOCK
        BEGIN BLOCK TemperatureSensor TempSensor
            PIN SYSCLK clock
            PIN READ_TEMP XLXN_818
            PIN TEMP_DOUT TEMP_DOUT
            PIN TEMP_DIN TEMP_DIN
            PIN TEMP_SCLK TEMP_SCLK
            PIN TEMP_DATA(9:0) XLXN_961(9:0)
        END BLOCK
        BEGIN BLOCK XLXI_507 seq_control_v490
            PIN SYSCLK clock
            PIN RESET rst_backplane
            PIN WRITE_32 wr_backplane32
            PIN WRITE_16 wr_backplane16
            PIN CS_FB_DATA XLXN_878
            PIN DOP_STROBE DOP_STROBE
            PIN DOP_ENABLE XLXN_987
            PIN ADDR(7:0) ADDR(7:0)
            PIN DATA_IN(31:0) DATA(31:0)
            PIN DOP_DATA_IN(15:0) DopData(15:0)
            PIN DOP_ACK DOP_ACK
            PIN SEQ_CLK_OUT SEQCLK
            PIN CFG_DATA_OUT(7:0) XLXN_881(7:0)
            PIN SEQ_SEL(1:0) SEQ_SEL(1:0)
            PIN SEQ_DATA_OUT(31:0) CPLD_DATA(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_508 cb_personality_v492
            PIN SYSCLK clock
            PIN WRITE XLXN_921
            PIN BOARD_SEL BRD_SEL
            PIN SSN_CRC_OK SN_CRC_OK
            PIN ADDRESS(15:0) ADDR(15:0)
            PIN SEQ_DATA_IN(31:0) DATA(31:0)
            PIN CFG_FB_DATA_IN(7:0) XLXN_881(7:0)
            PIN TEL_DATA_IN(15:0) tel_data(15:0)
            PIN CFG_DATA_IN(15:0) cfg_data(15:0)
            PIN CFG_STATUS_IN(7:0) cfg_status(7:0)
            PIN SSN_DATA_IN(47:0) SN_DATA(47:0)
            PIN TEMP_DATA_IN(9:0) XLXN_961(9:0)
            PIN LED_DATA_IN(2:0) XLXN_914(2:0)
            PIN CS_CFG_FB_REG XLXN_878
            PIN CS_CFG_REG cs_cfg
            PIN CS_TEL_REG cs_tel
            PIN GET_TEMP_CMD XLXN_818
            PIN LED_REG_CS XLXN_911
            PIN DOP_ENABLE XLXN_987
            PIN DATA_OUT(47:0) XLXN_855(47:0)
            PIN OTCLOCKDIVIDE(7:0) XLXN_985(7:0)
            PIN CS_OTSHIFT_A00 XLXN_989
            PIN CS_OTSHIFT_A01 XLXN_990
            PIN CS_OTSHIFT_A10 XLXN_991
            PIN CS_OTSHIFT_A11 XLXN_992
        END BLOCK
        BEGIN BLOCK OTShiftLogic ot_shiftlogicv492
            PIN SYSCLK clock
            PIN RESET rst_backplane
            PIN CS_SHIFT_A00 XLXN_989
            PIN CS_SHIFT_A01 XLXN_990
            PIN CS_SHIFT_A10 XLXN_991
            PIN CS_SHIFT_A11 XLXN_992
            PIN DOP_ACK DOP_ACK
            PIN DATA_IN(31:0) DATA(31:0)
            PIN CLK_DIVIDER(7:0) XLXN_985(7:0)
            PIN DOP_STROBE DOP_STROBE
            PIN DOP_DATA_OUT(15:0) DopData(15:0)
            PIN SHIFT_BUSY BUSY
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7040 5440
        BEGIN INSTANCE SeialInputControl 6192 3712 M0
        END INSTANCE
        BEGIN BRANCH SDO
            WIRE 6192 3616 6720 3616
        END BRANCH
        IOMARKER 6720 3680 SDO_ENABLE R0 28
        IOMARKER 6720 3616 SDO R0 28
        IOMARKER 6720 3280 CFGCLK R0 28
        IOMARKER 6720 3376 CFG_SEL(1:0) R0 28
        BEGIN INSTANCE ConfigRegisterFile 5376 2560 R0
        END INSTANCE
        BEGIN BRANCH CFGCLK
            WIRE 4512 2656 5328 2656
            WIRE 5328 2656 5328 3280
            WIRE 5328 3280 6256 3280
            WIRE 6256 3280 6256 3552
            WIRE 6256 3280 6720 3280
            WIRE 5328 2656 5600 2656
            WIRE 6192 3552 6256 3552
        END BRANCH
        BEGIN BRANCH FPGA_SDATA
            WIRE 6128 2656 6720 2656
        END BRANCH
        IOMARKER 6720 2656 FPGA_SDATA R0 28
        BEGIN BRANCH XLXN_273(15:0)
            WIRE 5536 2448 5536 2928
            WIRE 5536 2928 5600 2928
            WIRE 5536 2448 6240 2448
            WIRE 6128 2224 6240 2224
            WIRE 6240 2224 6240 2448
        END BRANCH
        BEGIN DISPLAY 5896 5232 TEXT "CLOCK&BIAS FPGA Top Level (U116)"
            FONT 44 "Arial"
        END DISPLAY
        BEGIN BRANCH XLXN_287(15:0)
            WIRE 4512 2560 5088 2560
            WIRE 5088 2560 5088 2992
            WIRE 5088 2992 5600 2992
        END BRANCH
        INSTANCE XLXI_117 7120 5520 R0
        BEGIN BRANCH CFG_SEL(1:0)
            WIRE 4512 2912 4768 2912
            WIRE 4768 2912 4768 3376
            WIRE 4768 3376 5520 3376
            WIRE 5520 3376 6720 3376
            WIRE 5520 3072 5600 3072
            WIRE 5520 3072 5520 3376
        END BRANCH
        BEGIN BRANCH XLXN_787(15:0)
            WIRE 5248 1456 5376 1456
            WIRE 5248 1456 5248 3648
            WIRE 5248 3648 5632 3648
        END BRANCH
        BEGIN BRANCH cs_tel
            WIRE 2928 3632 3520 3632
            WIRE 3520 2720 3888 2720
            WIRE 3520 2720 3520 3632
        END BRANCH
        BEGIN BRANCH SEQ_SEL(1:0)
            WIRE 4560 480 6560 480
        END BRANCH
        BEGIN BRANCH SEQCLK
            WIRE 4560 416 6560 416
        END BRANCH
        BEGIN BRANCH CPLD_DATA(31:0)
            WIRE 4560 544 6560 544
        END BRANCH
        BEGIN BRANCH write_sd
            WIRE 4512 2720 5600 2720
        END BRANCH
        BEGIN BRANCH cfg_done
            WIRE 3872 2992 3888 2992
            WIRE 3872 2992 3872 3200
            WIRE 3872 3200 6208 3200
            WIRE 6128 3072 6208 3072
            WIRE 6208 3072 6208 3200
        END BRANCH
        BEGIN BRANCH reset_cfg
            WIRE 4512 2784 4960 2784
            WIRE 4960 2784 5600 2784
            WIRE 4960 2784 4960 3872
            WIRE 4960 3872 6288 3872
            WIRE 6192 3744 6288 3744
            WIRE 6288 3744 6288 3872
        END BRANCH
        BEGIN BRANCH cfg_data(15:0)
            WIRE 2928 3856 3280 3856
            WIRE 3280 1680 6240 1680
            WIRE 6240 1680 6240 2144
            WIRE 3280 1680 3280 3856
            WIRE 6128 2144 6240 2144
        END BRANCH
        BEGIN BRANCH cs_cfg
            WIRE 2928 3552 3440 3552
            WIRE 3440 1968 5376 1968
            WIRE 3440 1968 3440 2656
            WIRE 3440 2656 3888 2656
            WIRE 3440 2656 3440 3552
        END BRANCH
        BEGIN BRANCH cfg_status(7:0)
            WIRE 2928 3920 4608 3920
            WIRE 4512 2976 4608 2976
            WIRE 4608 2976 4608 3920
        END BRANCH
        BEGIN BRANCH DATA(15:0)
            WIRE 1776 2848 2368 2848
            WIRE 2368 2848 3680 2848
            WIRE 3680 2848 3888 2848
            WIRE 3680 2144 5376 2144
            WIRE 3680 2144 3680 2848
            BEGIN DISPLAY 2368 2848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_881(7:0)
            WIRE 2928 3728 3120 3728
            WIRE 3120 848 4640 848
            WIRE 3120 848 3120 3728
            WIRE 4560 656 4640 656
            WIRE 4640 656 4640 848
        END BRANCH
        BEGIN INSTANCE ConfigControlModule 3888 2864 R0
        END INSTANCE
        IOMARKER 6560 480 SEQ_SEL(1:0) R0 28
        IOMARKER 6560 416 SEQCLK R0 28
        IOMARKER 6560 544 CPLD_DATA(31:0) R0 28
        BEGIN INSTANCE TelemetryDataRegister 5376 1504 R0
        END INSTANCE
        BEGIN BRANCH adc_data_rdy
            WIRE 3680 2928 3888 2928
            WIRE 3680 2928 3680 3552
            WIRE 3680 3552 4688 3552
            WIRE 4688 3552 5632 3552
            WIRE 4688 1264 5376 1264
            WIRE 4688 1264 4688 3552
        END BRANCH
        BEGIN BRANCH tel_data(15:0)
            WIRE 2928 3792 3200 3792
            WIRE 3200 1584 6256 1584
            WIRE 3200 1584 3200 3792
            WIRE 6128 1456 6256 1456
            WIRE 6256 1456 6256 1584
        END BRANCH
        BUSTAP 1680 2848 1776 2848
        BEGIN INSTANCE SerialOutputControl 5600 2848 R0
        END INSTANCE
        BEGIN BRANCH XLXN_894(7:0)
            WIRE 4512 2496 5168 2496
            WIRE 5168 2496 5168 2864
            WIRE 5168 2864 5600 2864
            WIRE 5168 1392 5376 1392
            WIRE 5168 1392 5168 2224
            WIRE 5168 2224 5168 2496
            WIRE 5168 2224 5376 2224
        END BRANCH
        BUSTAP 2176 2784 2336 2784
        BEGIN BRANCH ADDR(7:0)
            WIRE 2336 2784 2368 2784
            WIRE 2368 2784 2560 2784
            WIRE 2560 2784 3888 2784
            WIRE 2560 592 2560 1328
            WIRE 2560 1328 2560 2080
            WIRE 2560 2080 2560 2784
            WIRE 2560 2080 5376 2080
            WIRE 2560 1328 5376 1328
            WIRE 2560 592 3840 592
            BEGIN DISPLAY 2368 2784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_878
            WIRE 2928 3408 2976 3408
            WIRE 2976 720 3840 720
            WIRE 2976 720 2976 3408
        END BRANCH
        BEGIN INSTANCE LedLatch 928 3824 R0
        END INSTANCE
        BEGIN BRANCH XLXN_911
            WIRE 1456 3472 2272 3472
        END BRANCH
        BEGIN BRANCH DATA(2:0)
            WIRE 1456 3408 1488 3408
            WIRE 1488 3408 1536 3408
            BEGIN DISPLAY 1488 3408 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1632 3408 1536 3408
        BEGIN BRANCH XLXN_914(2:0)
            WIRE 1456 3536 2272 3536
        END BRANCH
        BEGIN INSTANCE SequencerInterface 928 4704 R0
        END INSTANCE
        BEGIN BRANCH DATA(31:0)
            WIRE 1376 2208 1376 2400
            WIRE 1376 2400 1664 2400
            WIRE 1664 2400 1664 2848
            WIRE 1664 2848 1680 2848
            WIRE 1664 2848 1664 3408
            WIRE 1664 3408 1664 3856
            WIRE 1664 3856 2272 3856
            WIRE 1520 3856 1664 3856
            WIRE 1632 3408 1664 3408
            WIRE 1664 656 3840 656
            WIRE 1664 656 1664 2400
        END BRANCH
        BEGIN BRANCH XLXN_855(47:0)
            WIRE 1520 4608 2272 4608
        END BRANCH
        BEGIN BRANCH XLXN_921
            WIRE 1520 4368 2272 4368
        END BRANCH
        BEGIN BRANCH BRD_SEL
            WIRE 1456 5040 1760 5040
            WIRE 1520 4208 1760 4208
            WIRE 1760 4208 1760 5040
            WIRE 1760 4208 2272 4208
            BEGIN DISPLAY 1760 4208 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LED
            WIRE 736 3344 928 3344
        END BRANCH
        IOMARKER 736 3344 LED R180 28
        BEGIN BRANCH SEL_N
            WIRE 576 3872 928 3872
        END BRANCH
        BEGIN BRANCH BRDCLK
            WIRE 576 3792 928 3792
        END BRANCH
        BEGIN BRANCH ACK_N
            WIRE 576 3952 928 3952
        END BRANCH
        BEGIN BRANCH SEQ_MODE(1:0)
            WIRE 576 4176 928 4176
        END BRANCH
        BEGIN BRANCH SEQ_DEV_ADDR(2:0)
            WIRE 576 4256 928 4256
        END BRANCH
        BEGIN BRANCH SEQ_DATA(31:0)
            WIRE 576 4336 928 4336
        END BRANCH
        BEGIN BRANCH PIX_DATA(47:0)
            WIRE 576 4416 928 4416
        END BRANCH
        BEGIN BRANCH REBOOT_N
            WIRE 576 4064 640 4064
            WIRE 640 4064 656 4064
            WIRE 640 4064 640 4672
        END BRANCH
        BEGIN BRANCH XLXN_902
            WIRE 880 4000 912 4000
            WIRE 912 4000 912 4064
            WIRE 912 4064 928 4064
            WIRE 880 4064 912 4064
        END BRANCH
        INSTANCE XLXI_140 880 4096 M0
        IOMARKER 576 4256 SEQ_DEV_ADDR(2:0) R180 28
        IOMARKER 576 4176 SEQ_MODE(1:0) R180 28
        IOMARKER 576 4336 SEQ_DATA(31:0) R180 28
        IOMARKER 576 4416 PIX_DATA(47:0) R180 28
        IOMARKER 576 3872 SEL_N R180 28
        IOMARKER 576 3792 BRDCLK R180 28
        IOMARKER 576 3952 ACK_N R180 28
        IOMARKER 576 4064 REBOOT_N R180 28
        RECTANGLE N 84 3768 408 3980 
        BEGIN DISPLAY 124 3880 TEXT INTERFACE
            FONT 44 "Arial"
        END DISPLAY
        BEGIN DISPLAY 112 3820 TEXT BACKPLANE
            FONT 44 "Arial"
        END DISPLAY
        BEGIN DISPLAY 148 3940 TEXT SIGNALS
            FONT 44 "Arial"
        END DISPLAY
        BEGIN INSTANCE ResetLogic 928 5136 R0
        END INSTANCE
        BEGIN BRANCH XLXN_937
            WIRE 1456 4912 1552 4912
            WIRE 1520 4064 1552 4064
            WIRE 1552 4064 1552 4912
        END BRANCH
        BEGIN BRANCH RST_ACTIVE
            WIRE 736 3408 928 3408
            BEGIN DISPLAY 736 3408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BRD_SEL
            WIRE 736 3472 928 3472
            BEGIN DISPLAY 736 3472 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RST_ACTIVE
            WIRE 752 4912 800 4912
            WIRE 800 4912 928 4912
            BEGIN DISPLAY 800 4912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_503 416 4704 R0
        BEGIN BRANCH RESET_N
            WIRE 352 4672 416 4672
            WIRE 416 4608 416 4672
        END BRANCH
        IOMARKER 352 4672 RESET_N R180 28
        BEGIN BRANCH SDO_ENABLE
            WIRE 6192 3680 6720 3680
        END BRANCH
        BEGIN BRANCH XLXN_818
            WIRE 2928 4544 4096 4544
        END BRANCH
        BEGIN DISPLAY 5764 5388 TEXT "3 December 2006"
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 6612 5324 TEXT 4.92
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 6640 5392 TEXT 1
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 6808 5392 TEXT 3
            FONT 48 "Arial"
        END DISPLAY
        BEGIN INSTANCE OneWireInterface 4096 4336 R0
        END INSTANCE
        BEGIN BRANCH SN_CRC_OK
            WIRE 2928 4032 3104 4032
            WIRE 3104 4032 4096 4032
            BEGIN DISPLAY 3104 4032 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SN_DATA(47:0)
            WIRE 2928 4096 3120 4096
            WIRE 3120 4096 4096 4096
            BEGIN DISPLAY 3120 4096 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TEMP_SCLK
            WIRE 4624 4480 4816 4480
        END BRANCH
        BEGIN BRANCH TEMP_DIN
            WIRE 4624 4608 4816 4608
        END BRANCH
        BEGIN BRANCH TEMP_DOUT
            WIRE 4624 4544 4816 4544
        END BRANCH
        BEGIN INSTANCE TemperatureSensor 4624 4640 M0
        END INSTANCE
        IOMARKER 4816 4480 TEMP_SCLK R0 28
        IOMARKER 4816 4608 TEMP_DIN R0 28
        IOMARKER 4816 4544 TEMP_DOUT R0 28
        BEGIN BRANCH clock
            WIRE 1312 2208 1312 2464
            WIRE 1312 2464 1856 2464
            WIRE 1856 2464 3888 2464
            WIRE 1856 2464 1856 3344
            WIRE 1856 3344 1856 3632
            WIRE 1856 3632 2272 3632
            WIRE 1856 3632 1856 3952
            WIRE 1856 3952 1856 4976
            WIRE 1856 4976 3968 4976
            WIRE 1456 3344 1856 3344
            WIRE 1456 4976 1856 4976
            WIRE 1520 3952 1856 3952
            WIRE 1856 384 3840 384
            WIRE 1856 384 1856 1168
            WIRE 1856 1168 5376 1168
            WIRE 1856 1168 1856 1872
            WIRE 1856 1872 5376 1872
            WIRE 1856 1872 1856 2464
            WIRE 3968 4352 4096 4352
            WIRE 3968 4352 3968 4480
            WIRE 3968 4480 4096 4480
            WIRE 3968 4480 3968 4976
        END BRANCH
        BEGIN BRANCH XLXN_961(9:0)
            WIRE 2928 4608 4096 4608
        END BRANCH
        BEGIN BRANCH SSN_DQ
            WIRE 4624 4176 4816 4176
        END BRANCH
        IOMARKER 4816 4176 SSN_DQ R0 28
        BEGIN BRANCH rst_backplane
            WIRE 1248 2208 1248 2528
            WIRE 1248 2528 1920 2528
            WIRE 1920 2528 3888 2528
            WIRE 1920 2528 1920 4800
            WIRE 1920 4800 3904 4800
            WIRE 1920 4800 1920 5104
            WIRE 1456 5104 1920 5104
            WIRE 1920 432 3840 432
            WIRE 1920 432 1920 1216
            WIRE 1920 1216 5376 1216
            WIRE 1920 1216 1920 1920
            WIRE 1920 1920 5376 1920
            WIRE 1920 1920 1920 2528
            WIRE 3904 4288 4096 4288
            WIRE 3904 4288 3904 4800
        END BRANCH
        BEGIN INSTANCE XLXI_507 3840 592 R0
        END INSTANCE
        BEGIN BRANCH DopData(15:0)
            WIRE 1376 336 1376 1696
            WIRE 1376 336 3840 336
        END BRANCH
        BEGIN BRANCH DOP_STROBE
            WIRE 1312 288 3504 288
            WIRE 3504 288 3840 288
            WIRE 1312 288 1312 1696
            BEGIN DISPLAY 3504 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DOP_ACK
            WIRE 1248 240 3520 240
            WIRE 3520 240 3840 240
            WIRE 1248 240 1248 1696
            BEGIN DISPLAY 3520 240 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DOP_STROBE
            WIRE 736 3536 928 3536
            BEGIN DISPLAY 736 3536 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DOP_ACK
            WIRE 736 3600 928 3600
            BEGIN DISPLAY 736 3600 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_985(7:0)
            WIRE 928 2208 928 3232
            WIRE 928 3232 2272 3232
        END BRANCH
        BEGIN BRANCH XLXN_987
            WIRE 2928 3488 3056 3488
            WIRE 3056 768 3056 3488
            WIRE 3056 768 3840 768
        END BRANCH
        BEGIN INSTANCE XLXI_508 2272 4272 R0
        END INSTANCE
        BEGIN BRANCH wr_backplane32
            WIRE 1520 4528 1984 4528
            WIRE 1984 480 3840 480
            WIRE 1984 480 1984 4528
        END BRANCH
        BEGIN BRANCH wr_backplane16
            WIRE 1520 4448 2064 4448
            WIRE 2064 528 3840 528
            WIRE 2064 528 2064 2016
            WIRE 2064 2016 5376 2016
            WIRE 2064 2016 2064 2592
            WIRE 2064 2592 3888 2592
            WIRE 2064 2592 2064 4448
        END BRANCH
        BEGIN BRANCH ADDR(15:0)
            WIRE 1520 3792 2144 3792
            WIRE 2144 3792 2272 3792
            WIRE 2144 2784 2176 2784
            WIRE 2144 2784 2144 3792
        END BRANCH
        BEGIN BRANCH XLXN_989
            WIRE 1184 2208 1184 2976
            WIRE 1184 2976 2272 2976
        END BRANCH
        BEGIN BRANCH XLXN_990
            WIRE 1120 2208 1120 3040
            WIRE 1120 3040 2272 3040
        END BRANCH
        BEGIN BRANCH XLXN_991
            WIRE 1056 2208 1056 3104
            WIRE 1056 3104 2272 3104
        END BRANCH
        BEGIN BRANCH XLXN_992
            WIRE 992 2208 992 3168
            WIRE 992 3168 2272 3168
        END BRANCH
        BEGIN INSTANCE OTShiftLogic 1408 2208 R270
        END INSTANCE
        BEGIN BRANCH BUSY
            WIRE 1440 2208 1440 2336
            WIRE 1440 2336 1760 2336
            WIRE 1760 2336 1760 4144
            WIRE 1520 4144 1760 4144
        END BRANCH
    END SHEET
END SCHEMATIC
